package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 危险库存数据查询返回值实体
 *
 * @since 2023-11-16
 */
@Getter
@Setter
public class HazardousInventoryVo {

    /**
     * 品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * 品名
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 库存数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "当前库存", index = 2)
    private BigDecimal inventoryQuantity;

    /**
     * 预计维持天数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "预计维持天数", index = 3)
    private Integer predictOutStorageDays;
}
