package com.sd.business.service.board;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.board.dto.InOutStorageBoardSelectDto;
import com.sd.business.entity.board.dto.SalesBoardSelectDto;
import com.sd.business.entity.board.vo.HazardousInventoryVo;
import com.sd.business.entity.board.vo.InOutStorageBoardVo;
import com.sd.business.entity.board.vo.InTransitBomVo;
import com.sd.business.entity.board.vo.InventoryTurnoverRateVo;

/**
 * <p>
 * 库存看板 服务类
 * </p>
 *
 * @author
 * @since 2023-11-16
 */
public interface InventoryBoardService {

    /**
     * 获取bom危险库存列表分页
     * @param dto
     * @return
     */
    Page<HazardousInventoryVo> getHazardousInventoryPage(SalesBoardSelectDto dto);

    /**
     * 获取bom在途列表分页
     *
     * @param dto
     * @return
     */
    Page<InTransitBomVo> getInTransitBomPage(SalesBoardSelectDto dto);

    /**
     * 获取库存周转率列表分页
     * @param dto
     * @return
     */
    Page<InventoryTurnoverRateVo> getTurnoverRatePage(SalesBoardSelectDto dto);

    /**
     * 出入库列表分页
     * @param dto
     * @return
     */
    Page<InOutStorageBoardVo> getInOutStoragePage(InOutStorageBoardSelectDto dto);
}
