package com.sd.business.service.production.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.production.dto.ProductionExceedReceiveSkuSelectDto;
import com.sd.business.entity.production.po.ProductionExceedReceive;
import com.sd.business.entity.production.po.ProductionExceedReceiveSku;
import com.sd.business.entity.production.vo.ProductionExceedReceiveSkuVo;
import com.sd.business.entity.production.vo.ProductionExceedReceiveVo;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.mapper.production.ProductionExceedReceiveSkuMapper;
import com.sd.business.service.production.ProductionExceedReceiveSkuService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 生产超领sku 服务实现类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Service
public class ProductionExceedReceiveSkuServiceImpl extends ServiceImpl<ProductionExceedReceiveSkuMapper, ProductionExceedReceiveSku> implements ProductionExceedReceiveSkuService {

    @Override
    public Page<ProductionExceedReceiveSkuVo> getPage(ProductionExceedReceiveSkuSelectDto dto) {
        IWrapper<ProductionExceedReceiveSku> wrapper = getWrapper();
        wrapper.orderByDesc("pers", ProductionExceedReceive::getId);
        wrapper.eq("per", ProductionExceedReceive::getType, dto.getType());
        wrapper.like("oi", OrderInfo::getCode, dto.getOrderCode());
        wrapper.like("oi", OrderInfo::getWlnCode, dto.getOrderWlnCode());
        wrapper.like("ss", SkuSpec::getCode, dto.getSkuSpecCode());
        wrapper.like("ss", SkuSpec::getName, dto.getSkuSpecName());
        Page<ProductionExceedReceiveSkuVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }
}
